POST api/batchapi/witnessfordrying
Request Information
URI Parameters
None.
Body Parameters
MedistreamStateViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "6c13fbcd-a511-4bdc-9cab-7643aad7ccb1",
"batch_id": "edab3dfc-bca6-4a99-ab0f-0a5945711a92"
}
application/xml, text/xml
Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>edab3dfc-bca6-4a99-ab0f-0a5945711a92</batch_id> <medistream_id>6c13fbcd-a511-4bdc-9cab-7643aad7ccb1</medistream_id> </medistream_state>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
WitnessForDryingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_state | integer |
None. |
|
| current_batch | string |
None. |
|
| witnesses | Collection of WitnessForDryingItem |
None. |
Response Formats
application/json, text/json
Sample:
{
"medistream_state": 1,
"current_batch": "sample string 2",
"witnesses": [
{
"witnessId": "58e570f6-7174-4fd1-b1b8-b2ef8d563e00",
"witnessCode": 2.1,
"compartment": 3,
"state": 4
},
{
"witnessId": "58e570f6-7174-4fd1-b1b8-b2ef8d563e00",
"witnessCode": 2.1,
"compartment": 3,
"state": 4
}
]
}
application/xml, text/xml
Sample:
<witness_for_drying xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<current_batch>sample string 2</current_batch>
<medistream_state>1</medistream_state>
<witnesses>
<WitnessForDryingItem>
<Compartment>3</Compartment>
<State>4</State>
<WitnessCode>2.1</WitnessCode>
<WitnessId>58e570f6-7174-4fd1-b1b8-b2ef8d563e00</WitnessId>
</WitnessForDryingItem>
<WitnessForDryingItem>
<Compartment>3</Compartment>
<State>4</State>
<WitnessCode>2.1</WitnessCode>
<WitnessId>58e570f6-7174-4fd1-b1b8-b2ef8d563e00</WitnessId>
</WitnessForDryingItem>
</witnesses>
</witness_for_drying>